<div class="main-board-div" *ngIf="showMainBoard">
    <h1 class="board-heading" *ngIf="showHeading" (click)="toggleInput($event)">{{ boardData.name }}</h1>
    <div *ngIf="showInputDiv">
        <input type="text" class="input" value="{{ boardName }}" (change)="editName($event)">
        <button class="save-button" (click)="saveName()">Save</button>
    </div>
    <button class="delete-board-button" (click)="deleteThisBoard()">Delete Board</button>
    <app-list [boardId]="boardId"></app-list>
</div>
<div class="deleted-div" *ngIf="showDeletedText">
    <h1 class="deleted-heading">This board has been deleted</h1>
    <a href="/">Click on this to go to home page</a>
</div>
